Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Types | Public Member Functions
_TessFunctionResultCallback_0_0< del, void > Class Template Reference

`#include <tesscallback.h>`

Inheritance diagram for _TessFunctionResultCallback_0_0< del, void >:

List of all members.

## Public Types

typedef TessClosure | base
typedef void(* | FunctionSignature )()

## Public Member Functions

| _TessFunctionResultCallback_0_0 (FunctionSignature function)
virtual void | Run ()
Public Member Functions inherited from TessClosure
virtual | ~TessClosure ()

## Detailed Description

### template<bool del>
class _TessFunctionResultCallback_0_0< del, void >

Definition at line 234 of file tesscallback.h.

## Member Typedef Documentation

template<bool del>

typedef TessClosure _TessFunctionResultCallback_0_0< del, void >::base

Definition at line 237 of file tesscallback.h.

template<bool del>

typedef void(* _TessFunctionResultCallback_0_0< del, void >::FunctionSignature)()

Definition at line 238 of file tesscallback.h.

## Constructor & Destructor Documentation

template<bool del>

_TessFunctionResultCallback_0_0< del, void >::_TessFunctionResultCallback_0_0 | ( | FunctionSignature | function | ) |

inline

Definition at line 244 of file tesscallback.h.

: function_(function) {
}

## Member Function Documentation

template<bool del>

virtual void _TessFunctionResultCallback_0_0< del, void >::Run | ( |  | ) |

inlinevirtual

Implements TessClosure.

Definition at line 249 of file tesscallback.h.

{
if (!del) {
(*function_)();
} else {
(*function_)();
// zero out the pointer to ensure segfault if used again
function_ = NULL;
delete this;
}
}

The documentation for this class was generated from the following file:

- /mnt/data/src/tesseract-ocr/ccutil/tesscallback.h